twitter4j

## Class HttpResponseImpl

- java.lang.Object
- - twitter4j.HttpResponse
  - - twitter4j.HttpResponseImpl

    public class HttpResponseImpl
    extends HttpResponse

Since:
  Twitter4J 2.1.2
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `disconnect()`
`String` `getResponseHeader(String name)`
`Map<String,List<String>>` `getResponseHeaderFields()`

### Methods inherited from class twitter4j.HttpResponse

`asJSONArray, asJSONObject, asReader, asStream, asString, getStatusCode, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getResponseHeader

    public String getResponseHeader(String name)

Specified by:
  `getResponseHeader` in class `HttpResponse`

#### getResponseHeaderFields

    public Map<String,List<String>> getResponseHeaderFields()

Specified by:
  `getResponseHeaderFields` in class `HttpResponse`

#### disconnect

    public void disconnect()

Specified by:
  `disconnect` in class `HttpResponse`